Package ru.bitel.bgbilling.kernel.contract.api.server.bean

# Class ContractStatusManager.ContractStatusManager4Script

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<B>
ru.bitel.bgbilling.common.dao.AbstractIdDao<ContractStatus>
ru.bitel.bgbilling.kernel.contract.api.server.bean.ContractStatusDao
ru.bitel.bgbilling.kernel.contract.api.server.bean.ContractStatusManager.ContractStatusManager4Script

Enclosing class:
  ContractStatusManager

public static class ContractStatusManager.ContractStatusManager4Script extends ContractStatusDao
Заменяем кусочек класа ContractStatusManager с приватными методами такими же, но открытыми. Чтобы можно было в скрипте "установка логики смены статуса" использовать эти все методы.

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractStatusManager4Script(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteStatus(ContractStatus status, Integer userId)`
  `void`
  `doByPeriod(ContractStatus status, Integer userId)`
  `void`
  `saveLog(ContractStatusLog log)`
  `void`
  `updateStatus(ContractStatus status, Integer userId)`
  Приватный метод, извне доступен только changeStatus Вставка в базу записи о статусе договора либо изменение существующей записи.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.contract.api.server.bean.ContractStatusDao

  `changeStatus, changeStatus, deleteContractObjectStatus, deleteStatus, getContractStatusListMap, getFromRS, getPeriodList, getStatus, getStatus, getStatusList, getStatusList, getStatusList, getStatusList, getStatusList, getStatusListAfterDate, isStatusPeriodValid, list, list, searchContractStatus, setContractObjectStatus, setContractStatus, updateImpl`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractStatusManager4Script

    public ContractStatusManager4Script(Connection con)

- ## Method Details

  - ### deleteStatus

    public void deleteStatus(ContractStatus status, Integer userId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateStatus

    public void updateStatus(ContractStatus status, Integer userId) throws ru.bitel.bgbilling.common.BGException
    Description copied from class: `ContractStatusDao`
    Приватный метод, извне доступен только changeStatus Вставка в базу записи о статусе договора либо изменение существующей записи. Просто вставка без проверок.
    Overrides:
      `updateStatus` in class `ContractStatusDao`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
    See Also:
      - `ContractStatusDao.changeStatus(ContractStatus, Integer)`

  - ### doByPeriod

    public void doByPeriod(ContractStatus status, Integer userId) throws ru.bitel.bgbilling.common.BGException
    Overrides:
      `doByPeriod` in class `ContractStatusDao`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### saveLog

    public void saveLog(ContractStatusLog log) throws Exception
    Overrides:
      `saveLog` in class `ContractStatusDao`
    Throws:
      `Exception`